jQuery MiniUI,快速开发WebUI界面

VSCode 升级 1.31.0 后,Sencha 扩展无法使用的解决办法

刚刚把 VSCode 升级到了 1.31.0,结果 Sencha 扩展 不能用了,打开项目时,左下角没有了下图的Ext JS: xx% indexed

打开 VSCode 的开发人员工具(帮助-切换开发人员工具),发现如下错误:

错误位置在 C:\Users\你的用户名\.vscode\extensions\sencha.vscode-extjs-1.0.1\out\src\Logger.js 第 28 行处。

可能是因为 VSCode 新版升级了内核,对于 fs.writeFile 必须提供最后一个参数(callback,一个异步执行的回调函数)。

不过,有另外一个fs.writeFileSync函数,它是同步执行的,不需要 callback 。所以,改成下面这样,就可以了:

或者在原来 fs.writeFile 加上第三个参数 function(){}

作者:神秘_博士
原文:https://blog.csdn.net/lovelyelfpop/article/details/87026340